#!/usr/bin/env python
"""
Copyright (C) 2017-2018 Intel Corporation.

This software and the related documents are Intel copyrighted materials,
and your use of them is governed by the express license under which they
were provided to you (License). Unless the License provides otherwise,
you may not use, modify, copy, publish, distribute, disclose or transmit
this software or the related documents without Intel's prior written permission.

This software and the related documents are provided as is, with no express or
implied warranties, other than those that are expressly stated in the License.

Global defines
"""

#Version
INTEL_SA_00125_VER_MAJOR = 1
INTEL_SA_00125_VER_MINOR = 0
INTEL_SA_00125_VER_PATCH = 45
INTEL_SA_00125_VER_BUILD = 0
#'''Vulnerability status'''
NOTVULNERABLE = 0
HECI_NOT_INSTALLED = 10
HECI_ERROR = 11
DISCOVERY_VULNERABLE = 100
DISCOVERY_NOT_VULNERABLE_PATCHED = 101
DISCOVERY_UNKNOWN = 200

def status2str(status):
    '''Status to string'''
    if status == NOTVULNERABLE:
        return "NOTVULNERABLE"
    elif status == HECI_NOT_INSTALLED:
        return "HECI_NOT_INSTALLED"
    elif status == HECI_ERROR:
        return "HECI_ERROR"
    elif status == DISCOVERY_VULNERABLE:
        return "DISCOVERY_VULNERABLE"
    elif status == DISCOVERY_NOT_VULNERABLE_PATCHED:
        return "DISCOVERY_NOT_VULNERABLE_PATCHED"
    elif status == DISCOVERY_UNKNOWN:
        return "DISCOVERY_UNKNOWN"

#'''FW family'''
ME = 0
CSME = 1
TXE = 2
SPS = 3
UNKNOWN = 4

def family2str(family):
    '''Family to string'''
    if family == ME:
        return "Intel(R) ME"
    elif family == CSME:
        return "Intel(R) CSME"
    elif family == TXE:
        return "Intel(R) TXE"
    elif family == SPS:
        return "Intel(R) SPS"
    elif family == UNKNOWN:
        return "UNKNOWN"
