#!/usr/bin/env python
"""
Copyright (C) 2018 Intel Corporation.

This software and the related documents are Intel copyrighted materials,
and your use of them is governed by the express license under which they
were provided to you (License). Unless the License provides otherwise,
you may not use, modify, copy, publish, distribute, disclose or transmit
this software or the related documents without Intel's prior written permission.

This software and the related documents are provided as is, with no express or
implied warranties, other than those that are expressly stated in the License.

SPS exceptions
"""

class SpsError(Exception):
    '''Base class for platform checking exceptions'''
    pass

class PlatformUnknown(SpsError):
    ''' unrecognized platform '''
    def __init__(self):
        SpsError.__init__(self)
        self.msg = "SPS: Failed to recognize platform LPC Device ID\n"

class HeciRevealError(SpsError):
    ''' failed to reveal heci device '''
    def __init__(self):
        SpsError.__init__(self)
        self.msg = "SPS: Failed to reveal HECI-1 device\n"

class HeciHideError(SpsError):
    ''' failed to hide heci device '''
    def __init__(self):
        SpsError.__init__(self)
        self.msg = "SPS: Failed to hide HECI-1 device\n"

class SendReceiveMessageError(SpsError):
    ''' failed to communicate with ME '''
    def __init__(self):
        SpsError.__init__(self)
        self.msg = "SPS: Failed to send/receive message over HECI using MMIO\n"
